/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Ultrasound Protocol Types 
 */
public enum EnumCM_UltrasoundProtocolTypes {

	//CID 12001 Ultrasound Protocol Types 
	ECHOCARDIOGRAPHY("Echocardiography"),
	TRANSESOPHAGEAL_ECHOCARDIOGRAPHY("Transesophageal echocardiography"),
	TRANSTHORACIC_ECHOCARDIOGRAPHY("Transthoracic echocardiography"),
	EPICARDIAL_ECHOCARDIOGRAPHY("Epicardial echocardiography"),
	INTRAVASCULAR_ECHOCARDIOGRAPHY("Intravascular echocardiography"),
	INTRACARDIAC_ECHOCARDIOGRAPHY("Intracardiac echocardiography"),
	EXERCISE_STRESS_ECHOCARDIOGRAPHY("Exercise stress echocardiography"),
	PEDIATRIC_ECHOCARDIOGRAPHY("Pediatric echocardiography"),
	INTRAOPERATIVE_ECHOCARDIOGRAPHY("Intraoperative echocardiography"),
	CONTRAST_ECHOCARDIOGRAPHY("Contrast echocardiography"),
	FETAL_ECHOCARDIOGRAPHY("Fetal echocardiography");
	
	private String value;
	
	EnumCM_UltrasoundProtocolTypes(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
